# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-Slurp-Tiny
Version:	0.004
Release:	23.%{__distinit}%{__distvers}
Summary:	A simple, sane and efficient file slurper
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/File-Slurp-Tiny
Source0:	https://cpan.metacpan.org/modules/by-module/File/File-Slurp-Tiny-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More) >= 0.88
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module provides functions for fast and correct slurping and spewing
of files.

%prep
%setup -q -n File-Slurp-Tiny-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Slurp::Tiny.3*

%changelog
* Thu Apr 20 2023 Paul Howarth <paul@city-fan.org> - 0.004-23
- Use SPDX-format license tag
- Use %%license unconditionally

* Fri May 31 2019 Paul Howarth <paul@city-fan.org> - 0.004-11
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop support for building with Test::More < 0.88
  - Drop legacy BuildRoot: and Group: tags

* Thu Aug 25 2016 Paul Howarth <paul@city-fan.org> - 0.004-3
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Jul 16 2015 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004
  - Add discouragement notice (File::Slurper is a better choice)
  - Don't skip '.\n' and '..\n' in read_dir
  - Don't install benchmark.pl
- Use %%license where possible
- Release tests no longer part of main test suite
- Drop %%defattr, redundant since rpm 4.4
- Drop patch for building with ExtUtils::MakeMaker < 6.30, no longer needed

* Fri Feb 28 2014 Paul Howarth <paul@city-fan.org> - 0.003-2
- Don't run the release tests whilst bootstrapping

* Thu Feb 13 2014 Paul Howarth <paul@city-fan.org> - 0.003-1
- Initial RPM version
